Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class TextField

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.TypedCtrl
              com.tonbeller.wcf.ui.EditCtrl
                  com.tonbeller.wcf.ui.TextField

All Implemented Interfaces:
  BasicTypes

public class TextField
extends EditCtrl

Factory class for generating text ctrls

Field Summary
`static java.lang.String` | `NODENAME`

Fields inherited from interface com.tonbeller.wcf.format.BasicTypes
`BOOLEAN_TYPE, DATE_TYPE, DOUBLE_TYPE, EMAIL_TYPE, INT_TYPE, POSINT_TYPE, REQSTR_TYPE, STRING_TYPE`

Constructor Summary
`TextField()`

Method Summary
`static org.w3c.dom.Element` | `addTextCtrl(org.w3c.dom.Element parent, java.lang.String type)` factory function for adding text ctrl to parent
`static org.w3c.dom.Element` | `createTextCtrl(org.w3c.dom.Document doc, java.lang.String type)` factory function for text ctrl
`static boolean` | `isTextField(org.w3c.dom.Element elem)`

Methods inherited from class com.tonbeller.wcf.ui.EditCtrl
`createValueHolder, createValueHolder, getBoolean, getDate, getDouble, getInt, getMaxLength, getString, getValue, getValue, setBoolean, setDate, setDouble, setInt, setMaxLength, setString, setValue, setValue`

Methods inherited from class com.tonbeller.wcf.ui.TypedCtrl
`getFormatString, getType, setFormatString, setType`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODENAME

    public static final java.lang.String NODENAME

See Also:
  Constant Field Values

Constructor Detail

### TextField

    public TextField()

Method Detail

### isTextField

    public static boolean isTextField(org.w3c.dom.Element elem)

### createTextCtrl

    public static org.w3c.dom.Element createTextCtrl(org.w3c.dom.Document doc,
                                                     java.lang.String type)

  factory function for text ctrl

### addTextCtrl

    public static org.w3c.dom.Element addTextCtrl(org.w3c.dom.Element parent,
                                                  java.lang.String type)

  factory function for adding text ctrl to parent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD